xcb_xfixes_fetch_region(3)

NAME
xcb_xfixes_fetch_region -

SYNOPSIS
#include <xcb/xfixes.h>

  Request function

xcb_xfixes_fetch_region_cookie_t xcb_xfixes_fetch_region(xcb_connection_t *conn, xcb_xfixes_region_t region);

  Reply datastructure

typedef struct xcb_xfixes_fetch_region_reply_t {
    uint8_t         response_type;
    uint8_t         pad0;
    uint16_t        sequence;
    uint32_t        length;
    xcb_rectangle_t extents;
    uint8_t         pad1[16];
} xcb_xfixes_fetch_region_reply_t;

  Reply function

xcb_xfixes_fetch_region_reply_t *xcb_xfixes_fetch_region_reply(xcb_connection_t *conn, xcb_xfixes_fetch_region_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

xcb_rectangle_t *xcb_xfixes_fetch_region_rectangles(const xcb_xfixes_fetch_region_request_t *reply);

int xcb_xfixes_fetch_region_rectangles_length(const xcb_xfixes_fetch_region_reply_t *reply);

xcb_rectangle_iterator_t xcb_xfixes_fetch_region_rectangles_iterator(const xcb_xfixes_fetch_region_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

region
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XFIXES_FETCH_REGION. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

extents
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xfixes_fetch_region_cookie_t. Errors have to be handled when calling the reply function xcb_xfixes_fetch_region_reply. If you want to handle errors in the event loop instead, use xcb_xfixes_fetch_region_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xfixes.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.